Subject: Re: [PATCH] submodule: Improve handling of relative submodule URLs.

From: Mark Levedahl <[email-masked]>
Date: Thu, 25 Feb 2010 21:03:50 -0500

On 02/25/2010 02:28 PM, Jacob Helwig wrote:
> Relative URLs only worked with<proto>://<host>/<location>  style URLs, and
> would break when cloning a repository using<user>@<host>:<location>  (scp)
> style "URL"s.
>
> When a submodule's URL was set to "../submodule.git", and the repository
> using it was cloned from "[email-masked]:repo.git", git would try to
> clone the submodule from "[email-masked]:repo.git/submodule.git", which
> would not likely work.
>    
My solution for this has been to always give the full path, possibly using ~

e.g.,     [email-masked]:~/repo.git

and as that works fine, I'm indifferent to this proposed change.

Mark